/* eslint-disable react/no-danger */
import React from 'react';
import LazyImage from 'gatsby-core-theme/src/hooks/lazy-image';
import { getExtraField } from 'gatsby-core-theme/src/helpers/getters';
import LinkList from '~molecules/link-list';
import styles from './top.module.scss';

export default function index({ section }) {
  const gamblingText = getExtraField(section?.extra_fields, 'gambling_text');
  const socialIcons = getExtraField(section?.extra_fields, 'social_icons');
  return (
    <div className={styles.container}>
      <div className={styles.logo}>
        <LazyImage
          alt="Irishluck footer logo"
          width="250"
          height="36"
          src="../../../../../images/logo.svg"
        />
        <div>
          <LazyImage
            alt="Security icon"
            width="26"
            height="20"
            src="../../../../../images/security.svg"
          />
          <span>We only list licensed casinos</span>
        </div>
      </div>
      <LinkList
        width="14"
        height="14"
        singleList
        imageOnly
        lists={socialIcons}
        gtmClass="mobile-menu-gtm logo-cta"
      />
      <div dangerouslySetInnerHTML={{ __html: gamblingText }} />
    </div>
  );
}
