/* eslint-disable react/prop-types */
/* eslint-disable import/no-extraneous-dependencies */
/* eslint-disable react/destructuring-assignment */
import React from 'react';
import loadable from '@loadable/component';
import Card from 'gatsby-core-theme/src/components/organisms/cards';

export default (props) => {
  let customCardComponent = null;
  const type = props.module.model_type || props.module.cards_page_type;
  switch (type) {
    case 'operator':
      customCardComponent = loadable(() =>
        import(`../../../../components/atoms/cards/operator-card`)
      );
      break;
    case 'event':
      customCardComponent = loadable(() => import(`../../../../components/atoms/cards/event-card`));
      break;
    default:
      customCardComponent = loadable(() => import(`~atoms/cards/default-card`));
  }
  return (
    <Card
      {...props}
      CustomCardComponent={customCardComponent}
      pageTemplate={props?.page?.template}
    />
  );
};
